org.apache.sling.event.jobs.consumer

## Enum JobConsumer.JobResult

- java.lang.Object
- - java.lang.Enum<JobConsumer.JobResult>
  - - org.apache.sling.event.jobs.consumer.JobConsumer.JobResult

All Implemented Interfaces:
  Serializable, Comparable<JobConsumer.JobResult>

Enclosing interface:
  JobConsumer

    public static enum JobConsumer.JobResult
    extends Enum<JobConsumer.JobResult>

The result of the job processing.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASYNC` Processing will be done asynchronously.
`CANCEL` Processing failed permanently and must not be retried.
`FAILED` Processing failed but might be retried.
`OK` Processing finished successfully.

### Method Summary

All Methods Static Methods Concrete Methods
`static JobConsumer.JobResult` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobConsumer.JobResult[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OK

    public static final JobConsumer.JobResult OK

Processing finished successfully.

#### FAILED

    public static final JobConsumer.JobResult FAILED

Processing failed but might be retried.

#### CANCEL

    public static final JobConsumer.JobResult CANCEL

Processing failed permanently and must not be retried.

#### ASYNC

    public static final JobConsumer.JobResult ASYNC

Processing will be done asynchronously.

### Method Detail

#### values

    public static JobConsumer.JobResult[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JobConsumer.JobResult c : JobConsumer.JobResult.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JobConsumer.JobResult valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null